Name: dnstwist
Summary: Domain name permutation engine
License: ASL 2.0

Version: 20190706
Release: 3%{?dist}

URL:     https://github.com/elceef/%{name}/
Source0: %{url}archive/%{version}/%{name}-%{version}.tar.gz

# A man page - submitted upstream for review
# https://github.com/elceef/dnstwist/pull/91
Source101: %{name}.1

# Remove all "are we on MS Windows?" checks
Patch0: dnstwist--no-win32-check.patch
# Remove all "is this Python import present?" checks
Patch1: dnstwist--modules-always-present.patch

BuildRequires: python3-devel
BuildArch: noarch

Requires: GeoIP-GeoLite-data >= 2016.09
Requires: python3-GeoIP >= 1.3.2
Requires: python3-dns >= 1.14.0
Requires: python3-requests >= 2.20.0
Requires: python3-ssdeep >= 3.1.1
Requires: python3-whois >= 0.7

%{?python_enable_dependency_generator}


%description
See what sort of trouble users can get in trying to type your domain name.
Find similar-looking domains that adversaries can use to attack you.
Detect typosquatters, phishing attacks, fraud and corporate espionage.
Useful as an additional source of targeted threat intelligence.


%prep
%autosetup

# Make the program look for its data files in /usr/share
# instead of the executable location dir
sed -e 's|^DIR = .*$|DIR = "%{_datadir}%{name}"|g' -i %{name}.py


%build
# Nothing to do here


%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -p %{name}.py  %{buildroot}%{_bindir}/%{name}

install -m 755 -d %{buildroot}%{_datadir}/%{name}
cp -a database/ dictionaries/ %{buildroot}%{_datadir}/%{name}/

# Remove the bundled GeoIP database and make the program rely
# on the GeoIP data from the "GeoIP-GeoLite-data" package
GEOIPFILE="%{buildroot}%{_datadir}/%{name}/database/GeoIP.dat"
rm "$GEOIPFILE"
ln -s %{_datadir}/GeoIP/GeoIP.dat "$GEOIPFILE"

install -m 755 -d %{buildroot}%{_mandir}/man1/
install -m 644 -p %{SOURCE101} %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc docs/README.md docs/THANKS.md docs/similar_projects.md
%license docs/LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Mar 22 2020 Artur Iwicki <fedora@svgames.pl> - 20190706-3
- Remove the bundled GeoIP database,
  require the GeoIP-GeoLite-data package instead

* Thu Mar 05 2020 Artur Iwicki <fedora@svgames.pl> - 20190706-2
- Add a man page
- Preserve timestamps during %%install

* Sun Dec 22 2019 Artur Iwicki <fedora@svgames.pl> - 20190706-1
- Initial packaging
